package com.bjzc.zjyxdxj.DBModel;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.List;

/**
 * Created by ruihong on 2018/7/27.
 */

public class WjbStateList implements Parcelable {
    private int state;
    private String msg;
    private List<WjbList>data;

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<WjbList> getData() {
        return data;
    }

    public void setData(List<WjbList> data) {
        this.data = data;
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(this.state);
        dest.writeString(this.msg);
        dest.writeTypedList(this.data);
    }

    public WjbStateList() {
    }

    protected WjbStateList(Parcel in) {
        this.state = in.readInt();
        this.msg = in.readString();
        this.data = in.createTypedArrayList(WjbList.CREATOR);
    }

    public static final Parcelable.Creator<WjbStateList> CREATOR = new Parcelable.Creator<WjbStateList>() {
        @Override
        public WjbStateList createFromParcel(Parcel source) {
            return new WjbStateList(source);
        }

        @Override
        public WjbStateList[] newArray(int size) {
            return new WjbStateList[size];
        }
    };
}
